WPS8TextInternal::Notes Struct Reference documentation

Classes | Public Member Functions | Public Attributes | Friends | List of all members
WPS8TextInternal::Notes Struct Reference

Internal: class to store the note position. More...

## Classes
struct | Compare
| internal struct used to create sorted map More...

## Public Member Functions
| Notes ()
| constructor More...
| Notes (Notes const &)=default
| copy constructor More...
| Notes (Notes &&)=default
Notes & | operator= (Notes const &)=default
| copy operator More...
Notes & | operator= (Notes &&)=default
WPSEntry | getCorrespondanceEntry (long offset) const

## Public Attributes
int | m_zoneNote
| the id of the zone which corresponds to the data More...
int | m_zoneCorr
| the id of the zone which called/used this data More...
WPSContentListener::NoteType | m_type
| the note type : footnote or endnote More...
bool | m_note
| a flag to know if this is the note content More...
Notes const * | m_corr
| a pointer to the corresponding notes More...
std::vector< long > | m_positions
| the positions of the data in the file More...

## Friends
std::ostream & | operator<< (std::ostream &o, Notes const &note)
| operator << More...

## Detailed Description

Internal: class to store the note position.

## Constructor & Destructor Documentation

## ◆ Notes() [1/3]

WPS8TextInternal::Notes::Notes | ( |  | ) |
| inline

constructor

## ◆ Notes() [2/3]

WPS8TextInternal::Notes::Notes | ( | Notes const & |  | ) |
| default

copy constructor

## ◆ Notes() [3/3]

WPS8TextInternal::Notes::Notes | ( | Notes && |  | ) |
| default

## Member Function Documentation

## ◆ getCorrespondanceEntry()

WPSEntry WPS8TextInternal::Notes::getCorrespondanceEntry | ( | long | offset | ) | const
| inline

## ◆ operator=() [1/2]

Notes& WPS8TextInternal::Notes::operator= | ( | Notes const & |  | ) |
| default

copy operator

## ◆ operator=() [2/2]

Notes& WPS8TextInternal::Notes::operator= | ( | Notes && |  | ) |
| default

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Notes const & | note
| ) |  |
| friend

operator <<

## Member Data Documentation

## ◆ m_corr

Notes const* WPS8TextInternal::Notes::m_corr

a pointer to the corresponding notes

Referenced by getCorrespondanceEntry().

## ◆ m_note

bool WPS8TextInternal::Notes::m_note

a flag to know if this is the note content

## ◆ m_positions

std::vector<long> WPS8TextInternal::Notes::m_positions

the positions of the data in the file

Referenced by getCorrespondanceEntry(), WPS8TextInternal::operator<<(), and WPS8Text::readNotes().

## ◆ m_type

WPSContentListener::NoteType WPS8TextInternal::Notes::m_type

the note type : footnote or endnote

Referenced by getCorrespondanceEntry(), WPS8TextInternal::Notes::Compare::operator()(), WPS8TextInternal::operator<<(), and WPS8Text::readNotes().

## ◆ m_zoneCorr

int WPS8TextInternal::Notes::m_zoneCorr

the id of the zone which called/used this data

Referenced by WPS8TextInternal::Notes::Compare::operator()(), WPS8TextInternal::operator<<(), and WPS8Text::readNotes().

## ◆ m_zoneNote

int WPS8TextInternal::Notes::m_zoneNote

the id of the zone which corresponds to the data

Referenced by WPS8TextInternal::Notes::Compare::operator()(), WPS8TextInternal::operator<<(), and WPS8Text::readNotes().

The documentation for this struct was generated from the following file:

- WPS8Text.cpp